CAD论坛-AutoCAD,Inventor和其他Autodesk产品的提示,技巧和实用程序数据库[www.cadforum.cz]
捷克文 英语 德意志
登录/注册:
 Visitors: 3288 
RSS提示 RSS频道-CAD技巧
RSS讨论 RSS频道-

讨论区 讨论区

救命CAD讨论

CAD论坛-主页 CAD讨论论坛-在此处提出任何与CAD相关的问题,并与来自世界各地的同行分享您在AutoCAD,Inventor,Revit和其​​他Autodesk软件方面的CAD知识。要开始一个新主题,请选择一个合适的论坛。

请遵守 规则 这个论坛。

如何发布问题: 注册或登录,请转到特定的论坛,然后单击“新主题”按钮。
  常问问题 常问问题  论坛搜索   大事记   寄存器 寄存器  登录 登录

您在此表单中提供的信息将构成您的论坛个人资料,其他论坛成员可以查看。 您的电子邮件地址仅对论坛管理员和主持人可见,并将用于向您发送论坛通知。要取消您的帐户,请使用页面 选择退出 或联系[email protected]

主题已关闭lisps德语/ oth​er language

 Post Reply 发表回复
作者
德国 查看下拉
追星族
追星族


已加入:2011年4月14日
地点:德国
使用: 的AutoCAD 2011
状态:离线
积分:33
直接链接到这篇文章 Topic: lisps德语/ oth​er language
    发表:27.Jun.2011 at 11:31
我最近开始在德国工作,并以英语安装了我的CAD,因此我在澳大利亚使用的所有口舌笔都可以正常工作。我想与一些同事分享一些经验教训,但是由于他们的CAD /机器使用的是德语,而我的使用的是英语,因此由于语言障碍,他们当然行不通。
附件是我使用的几个。
 
我只下载并使用过lisps,所以不知道确切的脚本编写方式和/或确切的编辑内容,以使其能同时使用两种语言(或者将lisp更改为仅适用于德语)。两种语言都不能在一个脚本中工作),但是如果您知道需要从这些脚本中进行更改的话,将不胜感激!
 
主要是 PLJOIN 口齿不清-他们在按这个命令舔嘴唇!
注意:附带的TLEN lisp似乎可以在德国机器上工作……不知道为什么,但是认为共享可能很重要。
 
 
***编辑***
来自帮助: “如果论坛管理员允许上传图片,则可以将图像添加到您的帖子中。”
猜猜我将不得不等待上载lisps。如果您能以任何方式帮助您,请告诉我!


由germanbarry编辑-27.Jun.2011 at 11:35
回到顶部
弗拉基米尔·米希尔(Vladimir Michl) 查看下拉
主持人组
主持人组

CAD工作室 a.s.

入队时间:2007年7月26日
地点:捷克
使用: Autodesk软件
状态:离线
积分:1817
直接链接到这篇文章 发表:27.Jun.2011 at 11:45
您可以使用“回复”按钮上传文件(完整而不是快速回复)。
 
至于语言-请确保您的LISP代码调用全球化的命令名称(和选项),例如“ _CIRCLE”,而不是“ CIRCLE”; “ _Cen”,而不是“ Cen”。
弗拉基米尔·米希尔(Vladimir Michl) (主持人)
CAD工作室 - www.cadstudio.cz -Autodesk经销商
回到顶部
德国 查看下拉
追星族
追星族


已加入:2011年4月14日
地点:德国
使用: 的AutoCAD 2011
状态:离线
积分:33
直接链接到这篇文章 发表:27.Jun.2011 at 12:48
我不明白的是为什么TLEN可以使用两种语言,而其他语言却不能-TLEN具有仅英语的代码:
 
(defun C:TLEN(/ ss tl n 恩t itm obj l)
  (setq ss (ssget)
        tl 0
       n(1-(sslength ss)))
  (while (>= n 0)
   (setq 恩t(entget(setq itm(ssname ss n)))
         obj(cdr(assoc 0 恩t))
          l (cond
              ((= obj "LINE")
               (距离(cdr(关联10 恩t)(cdr(关联11 恩t)))))
              ((= obj "ARC")
               (*(cdr(assoc 40 恩t))
                   (如果(minusp (setq l (- (cdr (assoc 51 恩t))
                                         (cdr(assoc 50 恩t))))
                     (+ pi pi l) l)))
             ((或(= obj“ CIRCLE”)(= obj“ SPLINE”)(= obj“ POLYLINE”)
                  (= obj“ LWPOLYLINE”)(= obj“ ELLIPSE”))
               (命令“ _.area”“ _ o” itm)
               (getvar“周长”))
              (T 0))
          tl (+ tl l)
          n (1- n)))
 (警告(strcat“所选对象的总长度为”(rtos tl)))
  (princ)
)
 
与SELLAY lisp(如下)相比,我似乎无法预先找到许多需要加减号的命令...这两个示例是(英语)功能性lisps中的复制/粘贴文本。下面的SELLAY看起来很简单/很小,所以如果有人知道在哪里进行编辑,请这样做并以某种方式突出显示,以便我可以看到要寻找的内容。尽管pljoin的lisp很大,所以我不知道在查找所有这些修订时我会怎么走,尤其是因为您不知道lsp跌落到什么地方时。
 
(defun C:SELLAY(/ e ss i)
 (setq我(ssget“ _I”))
 (setq e(提示“在层上选择实体:”))
 (如果e(setq ss(ssget(如果我“ _I”“ _X”)(list(cons 8(cdr(assoc 8(ente(car e)))))))))
 (如果(zerop(getvar“ CMDACTIVE”))
 (progn(sssetfirst ss ss)(princ“为此选择集使用'P':”)(princ))
   ss
 )
)
(defun C:SELLAYS(/ e来ss layl i)
 (setq我(ssget“ _I”))
 (setq layl ""  ss (ssadd))
 (while(setq e(nentsel“ \ n选择图层上的实体<exit>: "))
 (setq layl(strcat layl“,”(cdr(关联8(entget(car e))))))
 (princ(substr layl 2))
 );while
 (setq layl(substr layl 2))
 (if (>layl“”)(setq ss(ssget(如果我“ _I”“ _X”)(列表(cons 8 layl)))))
 (如果(zerop(getvar“ CMDACTIVE”))
 (progn(sssetfirst ss ss)(princ“为此选择集使用'P':”)(princ))
   ss
 )
)
(princ“ \ nXanadu SELLAY + SELLAYS命令已加载。”)(princ)
回到顶部
弗拉基米尔·米希尔(Vladimir Michl) 查看下拉
主持人组
主持人组

CAD工作室 a.s.

入队时间:2007年7月26日
地点:捷克
使用: Autodesk软件
状态:离线
积分:1817
直接链接到这篇文章 发表:2011年6月27日13:00
首先我没有注意到您在谈论我们的LISP实用程序。我们所有的工具都可以在任何语言版本的AutoCAD中正常工作。
 
特定的AutoCAD版本中可能存在本地化/全球化错误-这可能会导致某些工具失败。在这种情况下,我会怀疑“ _I”和“ _X”选项。尝试改用普通的“ I”和“ X”(我们尚未专门测试德语AutoCAD)。
弗拉基米尔·米希尔(Vladimir Michl) (主持人)
CAD工作室 - www.cadstudio.cz -Autodesk经销商
回到顶部
德国 查看下拉
追星族
追星族


已加入:2011年4月14日
地点:德国
使用: 的AutoCAD 2011
状态:离线
积分:33
直接链接到这篇文章 发表:27.Jun.2011 at 13:29
啊!
很抱歉浪费您的时间,但是我才意识到TLEN lisp是唯一有效的方法,因为它是我拖到我的CAD窗口中的唯一方法!我那雀斑的大脑一定以为我把所有的东西都拖了进去,并且对其余的为什么不起作用感到困惑...
 
 
谢谢您的支持!
回到顶部

相关的CAD技巧:


 Post Reply 发表回复
  分享主题   

论坛跳转 论坛权限 查看下拉



此页面是在0,063秒内生成的。